mia-2dlerp
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dlerp

#### Sysnopis:

`mia-2dlerp` {-1 `io`} {-2 `io`} {-o `io`} {-p `vfloat`} [ `options` ...]

#### Description:

Merge two images by pixel-wise linearly combining their intensities.

#### Options:

-1, --first=(input, required); io

  first input image . For supported file types see Plugin type: 2dimage/io

-2, --second=(input, required); io

  second input image . For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  output vector field. For supported file types see Plugin type: 2dimage/io

-p, --positions=(required); vfloat

  image series positions (first, target, second)

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Test

--selftest=(

  run a self test of the program

#### Example:

Combine image inputA.v and inputB.v by using position coordinates 4, 7, and 9. This means the output pixel values will be evaluated according to (9-7)/(9-4) * A + (7-4)/(9-4) * B The result image will be written to output.v

    mia-2dlerp -1 inputA.v -2 inputB.v -p 4,7,9 -o output.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dimagestats | Home | mia-2dmultiimagevar